%global pkg_name glade

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library binding for Haskell.

%global ghc_pkg_deps ghc-gtk-devel

%global ghc_pkg_c_deps libglade2-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.12.0
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}
BuildRequires:  gtk2hs-buildtools

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# move demos
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}
echo %doc demo >> %{name}-devel.files


%ghc_lib_package


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Fri Feb 11 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-3
- rebuild for f15

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-3
- update to 0.12.0

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-3
- fix Cabal-1.10 build with ghc7-Gtk2HsSetup-Cabal-1.10.patch

* Thu Oct  7 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-2
- buildrequires gtk2hs-buildtools (#633194)
- correct the license tag

* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- LGPLv2+
- BR ghc-gtk-devel and libglade2-devel
- move demo files to doc

* Mon Sep 13 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
